Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.standalone
Class StandaloneUpdateApplication

    java.lang.Object
      org.eclipse.update.standalone.StandaloneUpdateApplication

All Implemented Interfaces:
  IPlatformRunnable

public class StandaloneUpdateApplication
extends Object
implements IPlatformRunnable

The application class used to launch standalone update commands.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Field Summary
`static Integer` | `EXIT_ERROR`

Fields inherited from interface org.eclipse.core.runtime.IPlatformRunnable
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`StandaloneUpdateApplication()`

Method Summary
`static void` | `exceptionLogged()`
`Object` | `run(Object args)` Runs this runnable with the given args and returns a result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXIT_ERROR

    public static final Integer EXIT_ERROR

Constructor Detail

### StandaloneUpdateApplication

    public StandaloneUpdateApplication()

Method Detail

### run

    public Object run(Object args)
               throws Exception

  Description copied from interface: `IPlatformRunnable`
  Runs this runnable with the given args and returns a result. The content of the args is unchecked and should conform to the expectations of the runnable being invoked. Typically this is a `String` array. Applications can return any object they like. If an `Integer` is returned it is treated as the program exit code if Eclipse is exiting.

  Specified by:
    `run` in interface `IPlatformRunnable`
  Parameters:
    `args` - the argument(s) to pass to the application
  Returns:
    the return value of the application
  Throws:
    `Exception` - if there is a problem running this runnable.
  See Also:
    `IPlatformRunnable.EXIT_OK`, `IPlatformRunnable.EXIT_RESTART`, `IPlatformRunnable.EXIT_RELAUNCH`

### exceptionLogged

    public static void exceptionLogged()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.